Name:           maven-javadoc-plugin
Version:        3.2.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Maven Javadoc Plugin
License:        ASL 2.0

URL:            https://maven.apache.org/plugins/maven-javadoc-plugin
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(com.thoughtworks.qdox:qdox)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.shared:maven-artifact-transfer) >= 0.11.0
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.shared:maven-invoker)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interactivity-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.codehaus.plexus:plexus-java)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
The Maven Javadoc Plugin is a plugin that uses the javadoc tool for
generating javadocs for the specified project.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%mvn_build -f -- -DmavenVersion=3.6.0

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Mon Aug 31 2020 neoclust <neoclust> 3.2.0-1.mga8
+ Revision: 1620398
- New version 3.2.0

* Fri Feb 14 2020 umeabot <umeabot> 3.0.1-3.mga8
+ Revision: 1520533
- Mageia 8 Mass Rebuild

* Mon Nov 26 2018 guillomovitch <guillomovitch> 3.0.1-2.mga7
+ Revision: 1335552
- rebuild for current maven version

* Sat Nov 17 2018 guillomovitch <guillomovitch> 3.0.1-1.mga7
+ Revision: 1330376
- new version 3.0.1

* Wed Sep 19 2018 umeabot <umeabot> 2.10.4-3.mga7
+ Revision: 1264064
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 2.10.4-2.mga6
+ Revision: 1101420
- Rebuild maven-* packages

* Wed May 10 2017 neoclust <neoclust> 2.10.4-1.mga6
+ Revision: 1100040
- New version 2.10.4
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.10.3-3.mga6
+ Revision: 977256
- First rebuild of the java stack
- sync package maven-javadoc-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 dmorgan <dmorgan> 2.9.1-10.mga5
+ Revision: 795016
- Try to rebuild
- Clean spec file
- Rebuild against mave-doxia

* Wed Oct 15 2014 umeabot <umeabot> 2.9.1-8.mga5
+ Revision: 742131
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 pterjan <pterjan> 2.9.1-6.mga5
+ Revision: 674753
- Also add it as BuildRequires
- Add missing dependency on javamail breaking a lot of other builds

* Wed Sep 03 2014 dmorgan <dmorgan> 2.9.1-5.mga5
+ Revision: 671707
- Rebuild without bootstrap

* Wed Sep 03 2014 dmorgan <dmorgan> 2.9.1-4.mga5
+ Revision: 671700
- Rebuild against maven-doxia-sitetools 1.6
- Rebuild against maven-doxia-sitetools 1.6

* Sat Oct 19 2013 umeabot <umeabot> 2.9.1-3.mga4
+ Revision: 535142
- Mageia 4 Mass Rebuild
+ dmorgan <dmorgan>
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 2.9.1-1.mga4
+ Revision: 481188
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 2.9-4.mga4
+ Revision: 453071
- Fix Requires/BuildRequires

* Tue Feb 19 2013 dmorgan <dmorgan> 2.9-3.mga3
+ Revision: 399292
- Build in non bootstrap mode

* Thu Jan 17 2013 umeabot <umeabot> 2.9-2.mga3
+ Revision: 389214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dmorgan <dmorgan>
- New version

* Wed Jun 27 2012 dmorgan <dmorgan> 2.8.1-1.mga3
+ Revision: 264440
- New version 2.8.1

* Tue Jul 19 2011 dmorgan <dmorgan> 2.8-1.mga2
+ Revision: 126849
- Update to latest upstream version.
    Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.7-5.mga1
+ Revision: 92707
- Rebuild after bootstrapping
- imported package maven-javadoc-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 24 2010 Alexander Kurtakov <akurtako@redhat.com> 2.7-3
- Add missing invoker requires.

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 2.7-2
- Add missing invoker BR.

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 2.7-1
- Update to 2.7.

* Fri May  7 2010 Mary Ellen Foster <mefoster at gmail.com> - 2.4-2
- Add jpackage-utils requirements
- Update requirements of javadoc subpackage

* Thu May  6 2010 Mary Ellen Foster <mefoster at gmail.com> - 2.4-1
- Initial version, based on akurtakov's initial spec
